Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciExpressionList

public interface SciExpressionList
extends SciContainer

Provides a set of methods for accessing information about expressions for parameters in this expression of a function call.

An enumeration of expressions can be obtained via `expressions` method.

It is possible to get or change a string containing all these expressions via `getText` or `setText` methods respectively.

Author:
  TogetherSoft
See Also: SciFunctionCallExpression

Method Summary
`boolean` | `canSetText(String text)` Checks whether is the specified string can be set for this function call as a string containing expressions for all parameters.
`SciExpressionEnumeration` | `expressions()` Returns an enumeraion of `SciExpression`s for parameters in a function call expression.
`String` | `getText()` Returns the string, containing expressions for all parameters in this function call expression.
`void` | `setText(String text)` Sets the string, containing expressions for all parameters in this function call expression, to the specified string value.

Methods inherited from interface com.togethersoft.openapi.sci.SciContainer
`canPaste, objects, paste`

Method Detail

### canSetText

    public boolean canSetText(String text)

  Checks whether is the specified string can be set for this function call as a string containing expressions for all parameters.

### expressions

    public SciExpressionEnumeration expressions()

  Returns an enumeraion of `SciExpression`s for parameters in a function call expression.
  Returns: an enumeraion of `SciExpression`s

### getText

    public String getText()

  Returns the string, containing expressions for all parameters in this function call expression.
  Returns: the string, containing expressions for all parameters in this function call expression

### setText

    public void setText(String text)

  Sets the string, containing expressions for all parameters in this function call expression, to the specified string value.
  Parameters:
    text - the string containing expressions for all parameters

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD